Bug 781795 - Review Request: perl-DBIx-Class-IntrospectableM2M - Introspect many-to-many shortcuts
Summary: Review Request: perl-DBIx-Class-IntrospectableM2M - Introspect many-to-many s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/DBIx-Clas...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-15 08:56 UTC by Iain Arnell
Modified: 2012-02-12 22:54 UTC (History)
3 users (show)

Fixed In Version: perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-12 22:54:15 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2012-01-15 08:56:50 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-DBIx-Class-IntrospectableM2M.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc17.src.rpm

Description:
Because the many-to-many relationships are not real relationships, they can
not be introspected with DBIx::Class. Many-to-many relationships are
actually just a collection of convenience methods installed to bridge two
relationships. This DBIx::Class component can be used to store all relevant
information about these non-relationships so they can later be introspected
and examined.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3696128

*rt-0.10_02

Comment 1 Parag AN(पराग) 2012-02-02 05:41:37 UTC
Review:-

+ koji build (f17) -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3754336

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ License is valid

+ source verified with upstream as (sha1sum)
0087aa7bf69beae23f03a8c7087f7cdbdf34382c  DBIx-Class-IntrospectableM2M-0.001001.tar.gz
0087aa7bf69beae23f03a8c7087f7cdbdf34382c  ../SOURCES/DBIx-Class-IntrospectableM2M-0.001001.tar.gz

+ make test gave
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.09 cusr  0.00 csys =  0.11 CPU)

+ Package perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc17.noarch =>
Provides: perl(DBIx::Class::IntrospectableM2M) = 0.001001
Requires: perl(DBIx::Class) perl(base) perl(strict) perl(warnings)

+ Follows packaging guidelines.

APPROVED.

Comment 2 Iain Arnell 2012-02-02 05:59:13 UTC
New Package SCM Request
=======================
Package Name: perl-DBIx-Class-IntrospectableM2M
Short Description: Introspect many-to-many shortcuts
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2012-02-02 07:47:46 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-02-03 05:33:24 UTC
perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc16

Comment 5 Fedora Update System 2012-02-03 05:33:32 UTC
perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc15

Comment 6 Fedora Update System 2012-02-04 05:23:51 UTC
perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2012-02-12 22:54:15 UTC
perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 8 Fedora Update System 2012-02-12 22:54:24 UTC
perl-DBIx-Class-IntrospectableM2M-0.001001-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.